GuideLab API

Create a supplier

Creates a new supplier record for the organization, including contact details, payment terms, and delivery preferences.

POST
/inventory/suppliers

Creates a new supplier record for the organization, including contact details, payment terms, and delivery preferences.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/inventory/suppliers" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": "string",    "organizationId": "string",    "name": "string",    "code": "string",    "country": "string",    "currency": "string",    "isActive": true,    "createdAt": "string",    "updatedAt": "string",    "property1": null,    "property2": null  }}
Empty
Empty
Empty